Bug 243556 - anaconda ignores "boot installation from" choice
anaconda ignores "boot installation from" choice
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 14:18 EDT by Kevin R. Page
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 02:58:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin R. Page 2007-06-09 14:18:16 EDT
Description of problem:
On a laptop, /dev/sda contains a Windows installation and must absolutely not be
modified in any way, including the MBR. /dev/sdb is a second hard drive in a
modular expansion bay. This can be selected on boot from the BIOS boot selection
menu; thus Fedora can be installed and booted from this drive.

anaconda sees them as /dev/sda (the untouchable drive) and /dev/sdb (ripe for
Fedora installation).

On the "Installation requires partitioning of your hard drive" screen, I
specifically select "sdb" on the pull-down menu under "What drive would you like
to boot this installation from?".

(I also select "Review and modify partitioning layout" - after all, I'm paranoid
about leaving /dev/sda intact!)

Progressing through to the bootloader configuration page I find I'm given the
options:
- The GRUB boot loader will be installed on /dev/sda
- No boot loader will be installed

Yet earlier I'd specifically said I'd want to boot from /dev/sdb - it appears
this hasn't been honoured. It's /dev/sda or nothing.

N.B. The novice user might give up at this point; the paranoid might think they
can press on without installing a boot loader and fix it up later with a rescue
disk (Au contraire! Once in rescue mode one finds grub.conf is missing - I'll
file another bug on this in a minute).

The brave (or stupid?) user may chance "Configure advanced boot loader options",
but even here the only options are "Install Boot Loader on":
- /dev/sda Master Boot Record (MBR)
- /dev/sdb1 First sector of boot partition

Why not an option for the MBR of /dev/sdb? 


Version-Release number of selected component (if applicable):
From first spin of Fedora 7 release

How reproducible:
Always
Comment 1 Kevin R. Page 2007-06-09 14:25:50 EDT
As mentioned above, one might hope to fix this up with a rescue disk, but this
is stymied by a missing grub.conf - this related bug has been filed as bug 243557. 
Comment 2 Kevin R. Page 2007-06-09 14:43:27 EDT
I've found a workaround: in the advanded bootloader options screen I can "Change
Drive Order" and raise sdb.

I then have the option to install to "/dev/sdb Master Boot Record (MBR)".

I still think the descriptions on the installer pages are vague at best - in
particular the first "What drive would you like to boot this installation from?"
option. If it doesn't mean what I thought it did, what does it mean?
Comment 4 Martin Sivák 2007-09-21 02:58:43 EDT
The "What drive would you like to boot this installation from?" should work in
rawhide now. The manual way of overriding the bootloader plase is really through
the "Change drive order" dialog.

Note You need to log in before you can comment on or make changes to this bug.